## NMDeviceWifiP2P NMDeviceWifiP2P |

## Functions

4 | NM_DEPRECATED_IN_1_24_FOR ()
NMWifiP2PPeer * | nm_device_wifi_p2p_get_peer_by_path ()
const GPtrArray * | nm_device_wifi_p2p_get_peers ()
void | nm_device_wifi_p2p_start_find ()
gboolean | nm_device_wifi_p2p_start_find_finish ()
void | nm_device_wifi_p2p_stop_find ()
gboolean | nm_device_wifi_p2p_stop_find_finish ()

## Types and Values

#define | NM_DEVICE_WIFI_P2P_HW_ADDRESS
#define | NM_DEVICE_WIFI_P2P_PEERS
#define | NM_DEVICE_WIFI_P2P_WFDIES

## Description

## Functions

### NM_DEPRECATED_IN_1_24_FOR ()

    4
    NM_DEPRECATED_IN_1_24_FOR ();

`NM_DEPRECATED_IN_1_24_FOR` is deprecated and should not be used in newly-written code.

### nm_device_wifi_p2p_get_peer_by_path ()

    NMWifiP2PPeer *
    nm_device_wifi_p2p_get_peer_by_path (NMDeviceWifiP2P *device,
                                         const char *path);

### nm_device_wifi_p2p_get_peers ()

    const GPtrArray *
    nm_device_wifi_p2p_get_peers (NMDeviceWifiP2P *device);

### nm_device_wifi_p2p_start_find ()

    void
    nm_device_wifi_p2p_start_find (NMDeviceWifiP2P *device,
                                   GVariant *options,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

### nm_device_wifi_p2p_start_find_finish ()

    gboolean
    nm_device_wifi_p2p_start_find_finish (NMDeviceWifiP2P *device,
                                          GAsyncResult *result,
                                          GError **error);

### nm_device_wifi_p2p_stop_find ()

    void
    nm_device_wifi_p2p_stop_find (NMDeviceWifiP2P *device,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

### nm_device_wifi_p2p_stop_find_finish ()

    gboolean
    nm_device_wifi_p2p_stop_find_finish (NMDeviceWifiP2P *device,
                                         GAsyncResult *result,
                                         GError **error);

## Types and Values

### NM_DEVICE_WIFI_P2P_HW_ADDRESS

    #define NM_DEVICE_WIFI_P2P_HW_ADDRESS "hw-address"

### NM_DEVICE_WIFI_P2P_PEERS

    #define NM_DEVICE_WIFI_P2P_PEERS      "peers"

### NM_DEVICE_WIFI_P2P_WFDIES

    #define NM_DEVICE_WIFI_P2P_WFDIES     "wfdies"